Package org.eclipse.emf.cdo.server.ocl

## Class OCLQueryHandler.ContextParameter

- java.lang.Object
- - org.eclipse.emf.cdo.server.ocl.OCLQueryHandler.ContextParameter

- Enclosing class:
    OCLQueryHandler

      protected static final class OCLQueryHandler.ContextParameter
      extends java.lang.Object

  An abstraction of the `classifier` and/or `obejct` of an OCL query context parameter.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextParameter​(CDOView view, CDOQueryInfo info)` |
    `ContextParameter​(org.eclipse.emf.ecore.EClassifier classifier, org.eclipse.emf.ecore.EObject object)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static org.eclipse.emf.ecore.EClassifier` | `getArbitraryContextClassifier​(CDOPackageRegistry packageRegistry)` |
    `org.eclipse.emf.ecore.EClassifier` | `getClassifier()` |
    `org.eclipse.emf.ecore.EObject` | `getObject()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextParameter

          public ContextParameter​(CDOView view,
                                  CDOQueryInfo info)

    - #### ContextParameter

          public ContextParameter​(org.eclipse.emf.ecore.EClassifier classifier,
                                  org.eclipse.emf.ecore.EObject object)

  - ### Method Detail

    - #### getClassifier

          public org.eclipse.emf.ecore.EClassifier getClassifier()

    - #### getObject

          public org.eclipse.emf.ecore.EObject getObject()

    - #### getArbitraryContextClassifier

          protected static org.eclipse.emf.ecore.EClassifier getArbitraryContextClassifier​(CDOPackageRegistry packageRegistry)